Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
InputSlotTypable Class Reference

型を指定する入力スロットクラス More...

Inheritance diagram for InputSlotTypable:

## Public Member Functions
| InputSlotTypable ()
| InputSlotTypableのコンストラクタ More...
| InputSlotTypable (System.Type type)
| InputSlotTypableのコンストラクタ More...
bool | GetValue (ref object value)
| 値を取得する More...
Public Member Functions inherited from InputSlotBase
void | SetInputBranch (DataBranch branch)
| DataBranchの設定。 More...
void | RemoveInputBranch (DataBranch branch)
| DataBranchの削除。 More...
DataBranch | GetInputBranch ()
| DataBranchの取得。 More...
bool | IsConnectedInput (DataBranch branch)
| DataBranchと接続しているか判定する。 More...
override void | Disconnect ()
| 接続を切断する。 More...

## Properties
override System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...
Properties inherited from InputSlotBase
override SlotType | slotType`[get]`
| スロットの種類 More...
DataBranch | branch`[get]`
| ブランチを取得する。 More...
bool | isUsed`[get]`
| 値が使われているかどうかを取得する。 More...
float | updatedTime`[get]`
| valueを更新した timeScale に依存しない時間。 More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Additional Inherited Members
Public Attributes inherited from InputSlotBase
int | branchID
| ブランチのID More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| 接続が変更されたときのコールバックイベント More...

## Detailed Description

型を指定する入力スロットクラス

使用可能な属性 :

- HideSlotFields

## Constructor & Destructor Documentation

InputSlotTypable | ( |  | ) |

InputSlotTypableのコンストラクタ

InputSlotTypable | ( | System.Type | type | ) |

InputSlotTypableのコンストラクタ

Parameters

  type | スロットに格納するデータ型

## Member Function Documentation

bool GetValue | ( | ref object | value | ) |

値を取得する

Parameters

  value | 取得する値

Returns
  ブランチが接続されているかどうか。

## Property Documentation

override System.Type dataType
| get

スロットに格納されるデータの型